Create Person
curl --request POST \
--url https://api.ontora.com/v1/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_label": "<string>",
"seniority_level": 3,
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.ontora.com/v1/people"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_label": "<string>",
"seniority_level": 3,
"group_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
email: '<string>',
phone: '<string>',
job_title: '<string>',
department: '<string>',
seniority_label: '<string>',
seniority_level: 3,
group_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.ontora.com/v1/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"person_type": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"source_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"seniority_label": "<string>",
"source_attributes_json": {},
"image_url": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_names": [
"<string>"
],
"campaign_count": 0,
"completed_count": 0,
"last_participated_at": "2023-11-07T05:31:56Z",
"channels": [
"<string>"
],
"teams_display_identifier": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}people
Create Person
POST
/
v1
/
people
Create Person
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
255Required range:
1 <= x <= 6Available options:
internal, external Response
Successful Response
Was this page helpful?
⌘I